<h2 mat-dialog-title>Detalle</h2>
<mat-dialog-content>
  @if (oldValuesKeys.length>0) {
  <div class="card mb-3">
    <div class="card-header">
      <h3>Valores anteriores</h3>
    </div>
    <div class="card-body">
      <mat-list role="list">
        @if(oldValues){ @for (item of oldValuesKeys; track $index) {
        <mat-list-item role="listitem"
          ><span class="field">{{ item }}</span
          >: {{ oldValues[item] }}</mat-list-item
        >
        @if($index < oldValuesKeys.length) {
        <mat-divider></mat-divider>
        } } }
      </mat-list>
    </div>
  </div>
  } @if (newValueKeys.length > 0) {
  <div class="card">
    <div class="card-header">
      <h3>Valores Nuevos</h3>
    </div>
    <div class="card-body">
      <mat-list role="list">
        @if(newValues){ @for (item of newValueKeys; track $index) {
        <mat-list-item role="listitem"
          ><span class="field">{{ item }}</span
          >: {{ newValues[item] }}</mat-list-item
        >
        @if($index < newValueKeys.length) {
        <mat-divider></mat-divider>
        } } }
      </mat-list>
    </div>
  </div>
  }
</mat-dialog-content>
<mat-dialog-actions>
  <button mat-flat-button color="accent" (click)="close()">OK</button>
</mat-dialog-actions>
